summaryrefslogtreecommitdiffhomepage
path: root/scripts/utils
diff options
context:
space:
mode:
authorOskar <oskar@mullvad.net>2025-10-27 08:01:31 +0100
committerOskar <oskar@mullvad.net>2025-10-27 16:51:44 +0100
commit759b2d29716b59743f611a4c81498a16ec3c3a13 (patch)
tree7c1011c44828f6664e77177c6765135e5db7a735 /scripts/utils
parent8d210ef53bc3d6ee67ae644c2cd96c434239ce2c (diff)
downloadmullvadvpn-759b2d29716b59743f611a4c81498a16ec3c3a13.tar.xz
mullvadvpn-759b2d29716b59743f611a4c81498a16ec3c3a13.zip
Improve commit verification in release scripts
Diffstat (limited to 'scripts/utils')
-rwxr-xr-xscripts/utils/commit-verification14
1 files changed, 14 insertions, 0 deletions
diff --git a/scripts/utils/commit-verification b/scripts/utils/commit-verification
new file mode 100755
index 0000000000..ffd38043fd
--- /dev/null
+++ b/scripts/utils/commit-verification
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+set -eu
+
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+cd "$SCRIPT_DIR"
+
+# shellcheck disable=SC1091
+source ./log
+
+if ! git verify-commit HEAD; then
+ log_error "Current commit failed signature check"
+ exit 1
+fi